package com;

import java.lang.reflect.InvocationTargetException;
import java.util.Arrays;

import com.inspect.Inspector;

public class DriverBonus {

	public static void main(String[] args) {
		// TODO Auto-generated method stub
		
		if(args.length < 3) {
			System.out.println("Insufficient arguments provided!");
			return;
		}

		boolean recursive = Boolean.parseBoolean(args[2]);
		
		try {
			Class<?> inspector = Class.forName(args[0]);
			Object instance = inspector.getConstructors()[0].newInstance();
			
			try {
				Class<?> toInspect = Class.forName(args[1]);
				Object instanceToInspect = toInspect.getConstructors()[0].newInstance();
				
				inspector.getMethod("inspect", Object.class, boolean.class).invoke(instance, instanceToInspect, recursive);
				
				
				
			} catch (ClassNotFoundException e) {
				System.out.println("Could not find requested class: " + args[1]);
			} catch (InstantiationException e) {
				System.out.println("Failed to instantiate the class to inspect!");
			} catch (IllegalAccessException e) {
				System.out.println("Failed to access the class to inspect.");
			} catch (IllegalArgumentException e) {
				System.out.println("The class to inspec did not have a no-argument constructor!");
			} catch (InvocationTargetException e) {
				System.out.println("Failed to invoke the constructor of the class to inspect!");
				e.printStackTrace();
			} catch (SecurityException e) {
				System.out.println("Security exception thrown when trying to access the class to inspect!");
			} catch (NoSuchMethodException e) {
				System.out.println("Could not find the inspect method on the inspector class!!");
			}
			
			
		} catch (ClassNotFoundException e) {
			System.out.println("Could not find requested class: " + args[0]);
		} catch (InstantiationException e) {
			System.out.println("Failed to instantiate the inspecting class!");
		} catch (IllegalAccessException e) {
			System.out.println("Failed to access the inspecting class.");
		} catch (IllegalArgumentException e) {
			System.out.println("The inspecting class did not have a no-argument constructor!");
		} catch (InvocationTargetException e) {
			System.out.println("Failed to invoke the constructor of the inspecting class!");
		} catch (SecurityException e) {
			System.out.println("Security exception thrown when trying to access the inspecting class!");
		}

	}

}
