package com.nodes;

/*
 * This class represents an entrypoint node, these tend to be nodes without
 * titles that are part of a list.
 */
public class EntrypointNode extends Node {
    
	/**
	 * Creates a new entrypoint node at a certain depth.
	 * 
	 * @param depth of the node
	 */
    public EntrypointNode(int depth) {
        super(depth, null, true);
    }

    @Override
    public void render(boolean tabulate) {
        this.tabulate(this.depth - 1);
        System.out.print("- ");
        super.render(false);
    }
}
