package com.nodes;

/**
 * A node that is an array of flat values.
 */
public class ListNode extends Node {
	// The values.
    String[] values;

    /**
     * Creates a node that represents a list of FLAT values.
     * 
     * @param depth: the depth in the tree of the node.
     * @param title: the name of the list.
     * @param values: the values.
     */
    public ListNode(int depth, String title, String[] values) {
        super(depth, title, false);
        this.values = values;
    }

    @Override
    public void render(boolean tabulate) {
    

        this.renderTitle(true, tabulate);

        if(this.values != null) {
            for(String s : this.values) {
                this.tabulate(this.depth - 1);
                System.out.println("- " + s);
            }
        }
        
        super.render(tabulate);
    }
    
}
